Module org.hdfgroup.object
Package hdf.object.h5

# Enum Class H5CompoundDS.IO_TYPE

Object
Enum<H5CompoundDS.IO_TYPE>
hdf.object.h5.H5CompoundDS.IO_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<H5CompoundDS.IO_TYPE>`, `Constable`

Enclosing class:
  H5CompoundDS

protected static enum H5CompoundDS.IO_TYPE extends Enum<H5CompoundDS.IO_TYPE>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `READ`
  `WRITE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static H5CompoundDS.IO_TYPE`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static H5CompoundDS.IO_TYPE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### READ

    public static final H5CompoundDS.IO_TYPE READ

  - ### WRITE

    public static final H5CompoundDS.IO_TYPE WRITE

- ## Method Details

  - ### values

    public static H5CompoundDS.IO_TYPE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static H5CompoundDS.IO_TYPE valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null